%define upstream_name    Beam-Emitter
%define upstream_version 1.007

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Role for event emitting classes
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Beam/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::API)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Lib)
BuildRequires: perl(Test::More)
BuildRequires: perl(Types::Standard) >= 0.8.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is the base event class for 'Beam::Emitter' objects.

The base class is only really useful for notifications. Create a subclass
to add data attributes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.7.0-3.mga9
+ Revision: 1819276
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.7.0-2.mga8
+ Revision: 1519847
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Oct 22 2018 tv <tv> 1.7.0-1.mga7
+ Revision: 1323619
- update to 1.007

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1265740
- Mageia 7 Mass Rebuild

* Sun May 08 2016 shlomif <shlomif> 1.0.0-1.mga6
+ Revision: 1010940
- imported package perl-Beam-Emitter


* Sun May 08 2016 cpan2dist 1.000-1mga
- initial mageia release, generated with cpan2dist
